<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/info/item/renderer/availability_label/init.jsp" %>

<span class="<%= Validator.isNull(label) ? "invisible" + StringPool.SPACE : StringPool.BLANK %>label label-<%= labelType %> m-0 <%= namespace %>availability-label">
	<span class="label-item label-item-expand"><%= label %></span>
</span>

<c:if test="<%= Validator.isNotNull(namespace) %>">
	<liferay-frontend:component
		context='<%=
			HashMapBuilder.<String, Object>put(
				"namespace", namespace
			).build()
		%>'
		module="info/item/renderer/availability_label/js/AvailabilityCPInstanceChangeHandler"
	/>
</c:if>