<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CPPublisherConfigurationDisplayContext cpPublisherConfigurationDisplayContext = (CPPublisherConfigurationDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<aui:fieldset markupView="lexicon">
	<aui:select name="preferences--dataSource--" showEmptyOption="<%= true %>">

		<%
		for (CPDataSource cpDataSource : cpPublisherConfigurationDisplayContext.getCPDataSources()) {
			String selectedDataSource = cpPublisherConfigurationDisplayContext.getDataSource();
		%>

			<aui:option label="<%= HtmlUtil.escape(cpDataSource.getLabel(locale)) %>" selected="<%= selectedDataSource.equals(cpDataSource.getName()) %>" value="<%= cpDataSource.getName() %>" />

		<%
		}
		%>

	</aui:select>
</aui:fieldset>