<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/info/item/renderer/cp_attachment_file_entry/init.jsp" %>

<dt>
	<div class="autofit-col my-auto">
		<aui:icon cssClass="icon-monospaced" image="document-default" markupView="lexicon" />
	</div>

	<div class="autofit-col autofit-col-expand">
		<h5><%= HtmlUtil.escape(cpMedia.getTitle()) %></h5>

		<p class="m-0"><%= LanguageUtil.formatStorageSize(cpMedia.getSize(), locale) %></p>
	</div>
</dt>
<dd>
	<div class="autofit-col my-auto">
		<clay:link
			borderless="<%= false %>"
			cssClass="btn-secondary"
			href="<%= cpMedia.getDownloadURL() %>"
			label='<%= LanguageUtil.get(request, "download") %>'
			target="_blank"
			type="button"
		/>
	</div>
</dd>