<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CPPublisherConfigurationDisplayContext cpPublisherConfigurationDisplayContext = (CPPublisherConfigurationDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<aui:fieldset markupView="lexicon">
	<aui:input checked="<%= cpPublisherConfigurationDisplayContext.isRenderSelectionADT() %>" id="renderSelectionADT" label="use-adt" name="preferences--renderSelection--" onChange='<%= liferayPortletResponse.getNamespace() + "chooseRenderSelection();" %>' type="radio" value="adt" />

	<aui:input checked="<%= cpPublisherConfigurationDisplayContext.isRenderSelectionCustomRenderer() %>" id="renderSelectionCustomRenderer" label="use-custom-renderer" name="preferences--renderSelection--" onChange='<%= liferayPortletResponse.getNamespace() + "chooseRenderSelection();" %>' type="radio" value="custom" />
</aui:fieldset>

<aui:script>
	function <portlet:namespace />chooseRenderSelection() {
		var form = window.document['<portlet:namespace />fm'];

		form['<portlet:namespace /><%= Constants.CMD %>'].value =
			'render-selection';

		submitForm(form);
	}
</aui:script>