<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/admin/init.jsp" %>

<%
String currentTab = ParamUtil.getString(request, "currentTab", "forms");
%>

<liferay-util:include page="/admin/navigation_bar.jsp" servletContext="<%= application %>" />

<liferay-util:include page="/admin/management_bar.jsp" servletContext="<%= application %>" />

<c:choose>
	<c:when test='<%= currentTab.equals("forms") %>'>
		<liferay-util:include page="/admin/view_form_instance.jsp" servletContext="<%= application %>" />
	</c:when>
	<c:when test='<%= currentTab.equals("element-set") %>'>
		<liferay-util:include page="/admin/view_element_set.jsp" servletContext="<%= application %>" />
	</c:when>
</c:choose>